@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.flipper {
  position: relative;
  transition: .6s;
  transform-style: preserve-3d;
  transform: rotateY(0deg);
  width: 100%;
  height: 100%;
}

.software {
  padding: 30px;
  font-family: $main-family-fonts;
  background: $software-bg;

  &__title {
    margin-bottom: 10px;
    font-weight: $main-fonts-bold;
    font-size: 40px;
    line-height: 44px;
    text-align: right;
  }

  &__description {
    margin-bottom: 30px;
    font-weight: $main-fonts-normal;
    font-style: italic;
    font-size: 16px;
    line-height: 18px;
    text-align: right;
  }

  &__content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

    &-image {
      perspective: 1000px;
      width: 100px;
      height: 100px;
      margin: 0 5px 20px;


      &:hover .flipper {
        transform: rotateY(180deg);
      }
    }

    &-item {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 2;
      width: 100%;
      height: 100%;
      backface-visibility: hidden;
      background-position: 50% 50%;
      background-repeat: no-repeat;
      background-size: contain;
      background-color: #fff;
      border: 2px solid #6f6f6f;
      border-radius: 10px;

      &--back-side {
        position: absolute;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        transform: rotateY(180deg);
        border: 2px solid #6f6f6f;
        border-radius: 10px;
        background: $software-content-item-back-side;

        &-link {
          padding: 0 5px;
          font-weight: $main-fonts-bold;
          font-size: 16px;
          line-height: 18px;
          color: #000;
          text-align: center;
          text-decoration: none;
          cursor: pointer;

          &:hover {
            color: #fff;
            text-shadow: 0 1px 0 rgba(255, 255, 255, 0.8);
          }
        }
      }

      &--html {
        background-image: url("../images/software_html.png");
        background-size: 80%;
      }

      &--css {
        background-image: url("../images/software_css.png");
      }

      &--bootstrap {
        background-image: url("../images/software_bootstrap.png");
      }

      &--git {
        background-image: url("../images/software_git.png");
      }

      &--js {
        background-image: url("../images/software_js.png");
      }

      &--jquery {
        background-image: url("../images/software_jquery.png");
      }

      &--react {
        background-image: url("../images/software_react.png");
        background-size: 80%;
      }

      &--nodejs {
        background-image: url("../images/software_nodejs.png");
      }

      &--mongodb {
        background-image: url("../images/software_mongodb.png");
      }

      &--heroku {
        background-image: url("../images/software_heroku.png");
        background-size: 50%;
      }

      &--postman {
        background-image: url("../images/software_postman.png");
      }

      &--trello {
        background-image: url("../images/software_trello.png");
      }
    }
  }
}